#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './bookmark_properties.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "bookmark_properties.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <qspinbox.h>
#include <kurlrequester.h>
#include <kpassdlg.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "kpushbutton.h"
#include "klineedit.h"
#include "kurlrequester.h"
#include "kpassdlg.h"

/*
 *  Constructs a BookmarkProperties as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BookmarkProperties::BookmarkProperties( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "BookmarkProperties" );
    BookmarkPropertiesLayout = new QVBoxLayout( this, 0, 6, "BookmarkPropertiesLayout"); 

    tabList = new QTabWidget( this, "tabList" );
    tabList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, tabList->sizePolicy().hasHeightForWidth() ) );

    general = new QWidget( tabList, "general" );
    generalLayout = new QVBoxLayout( general, 11, 6, "generalLayout"); 

    layout23 = new QGridLayout( 0, 1, 1, 0, 6, "layout23"); 

    textLabel2 = new QLabel( general, "textLabel2" );

    layout23->addWidget( textLabel2, 1, 0 );

    textLabel4_2 = new QLabel( general, "textLabel4_2" );

    layout23->addWidget( textLabel4_2, 2, 0 );

    layout22 = new QHBoxLayout( 0, 0, 6, "layout22"); 

    serverProtocol = new KComboBox( FALSE, general, "serverProtocol" );
    serverProtocol->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, serverProtocol->sizePolicy().hasHeightForWidth() ) );
    layout22->addWidget( serverProtocol );

    protoAdvanced = new KPushButton( general, "protoAdvanced" );
    layout22->addWidget( protoAdvanced );

    layout23->addLayout( layout22, 2, 1 );

    textLabel5 = new QLabel( general, "textLabel5" );

    layout23->addWidget( textLabel5, 5, 0 );

    defRemoteDir = new KLineEdit( general, "defRemoteDir" );

    layout23->addWidget( defRemoteDir, 7, 1 );

    textLabel4 = new QLabel( general, "textLabel4" );

    layout23->addWidget( textLabel4, 4, 0 );

    layout21 = new QHBoxLayout( 0, 0, 6, "layout21"); 

    serverAddress = new KLineEdit( general, "serverAddress" );
    layout21->addWidget( serverAddress );

    textLabel2_2 = new QLabel( general, "textLabel2_2" );
    layout21->addWidget( textLabel2_2 );

    serverPort = new QSpinBox( general, "serverPort" );
    serverPort->setMaxValue( 65535 );
    serverPort->setValue( 21 );
    layout21->addWidget( serverPort );

    layout23->addLayout( layout21, 1, 1 );

    textLabel1 = new QLabel( general, "textLabel1" );

    layout23->addWidget( textLabel1, 0, 0 );

    serverName = new KLineEdit( general, "serverName" );

    layout23->addWidget( serverName, 0, 1 );

    textLabel7 = new QLabel( general, "textLabel7" );

    layout23->addWidget( textLabel7, 7, 0 );

    textLabel6 = new QLabel( general, "textLabel6" );

    layout23->addWidget( textLabel6, 6, 0 );

    downUser = new KLineEdit( general, "downUser" );

    layout23->addWidget( downUser, 4, 1 );

    defLocalDir = new KURLRequester( general, "defLocalDir" );

    layout23->addWidget( defLocalDir, 6, 1 );

    downPass = new KPasswordEdit( general, "downPass" );

    layout23->addWidget( downPass, 5, 1 );

    anonLogin = new QCheckBox( general, "anonLogin" );

    layout23->addMultiCellWidget( anonLogin, 3, 3, 0, 1 );
    generalLayout->addLayout( layout23 );

    groupBox5_2 = new QGroupBox( general, "groupBox5_2" );
    groupBox5_2->setColumnLayout(0, Qt::Vertical );
    groupBox5_2->layout()->setSpacing( 6 );
    groupBox5_2->layout()->setMargin( 11 );
    groupBox5_2Layout = new QVBoxLayout( groupBox5_2->layout() );
    groupBox5_2Layout->setAlignment( Qt::AlignTop );

    description = new QTextEdit( groupBox5_2, "description" );
    groupBox5_2Layout->addWidget( description );
    generalLayout->addWidget( groupBox5_2 );
    tabList->insertTab( general, QString::fromLatin1("") );

    advanced = new QWidget( tabList, "advanced" );
    advancedLayout = new QVBoxLayout( advanced, 11, 6, "advancedLayout"); 

    disableEPSV = new QCheckBox( advanced, "disableEPSV" );
    advancedLayout->addWidget( disableEPSV );

    disablePASV = new QCheckBox( advanced, "disablePASV" );
    advancedLayout->addWidget( disablePASV );

    pasvSiteIp = new QCheckBox( advanced, "pasvSiteIp" );
    advancedLayout->addWidget( pasvSiteIp );

    disableForceIp = new QCheckBox( advanced, "disableForceIp" );
    advancedLayout->addWidget( disableForceIp );

    statListings = new QCheckBox( advanced, "statListings" );
    advancedLayout->addWidget( statListings );

    groupBox4 = new QGroupBox( advanced, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    threadsDisable = new QCheckBox( groupBox4, "threadsDisable" );

    groupBox4Layout->addWidget( threadsDisable, 0, 0 );
    advancedLayout->addWidget( groupBox4 );

    groupBox8 = new QGroupBox( advanced, "groupBox8" );

    textLabel1_2 = new QLabel( groupBox8, "textLabel1_2" );
    textLabel1_2->setGeometry( QRect( 11, 21, 61, 22 ) );

    serverEncoding = new KComboBox( FALSE, groupBox8, "serverEncoding" );
    serverEncoding->setGeometry( QRect( 78, 21, 341, 22 ) );
    serverEncoding->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, serverEncoding->sizePolicy().hasHeightForWidth() ) );
    advancedLayout->addWidget( groupBox8 );
    spacer11 = new QSpacerItem( 430, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    advancedLayout->addItem( spacer11 );
    tabList->insertTab( advanced, QString::fromLatin1("") );

    keepalive = new QWidget( tabList, "keepalive" );
    keepaliveLayout = new QVBoxLayout( keepalive, 11, 6, "keepaliveLayout"); 

    doRetry = new QCheckBox( keepalive, "doRetry" );
    keepaliveLayout->addWidget( doRetry );

    retryGroup = new QGroupBox( keepalive, "retryGroup" );
    retryGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, retryGroup->sizePolicy().hasHeightForWidth() ) );
    retryGroup->setColumnLayout(0, Qt::Vertical );
    retryGroup->layout()->setSpacing( 6 );
    retryGroup->layout()->setMargin( 11 );
    retryGroupLayout = new QGridLayout( retryGroup->layout() );
    retryGroupLayout->setAlignment( Qt::AlignTop );

    textLabel12 = new QLabel( retryGroup, "textLabel12" );

    retryGroupLayout->addMultiCellWidget( textLabel12, 1, 1, 0, 1 );

    textLabel11 = new QLabel( retryGroup, "textLabel11" );

    retryGroupLayout->addWidget( textLabel11, 0, 0 );

    retryCount = new QSpinBox( retryGroup, "retryCount" );
    retryCount->setValue( 10 );

    retryGroupLayout->addWidget( retryCount, 1, 3 );
    spacer7 = new QSpacerItem( 240, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    retryGroupLayout->addMultiCell( spacer7, 0, 0, 1, 2 );
    spacer8 = new QSpacerItem( 140, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    retryGroupLayout->addItem( spacer8, 1, 2 );

    retryDelay = new QSpinBox( retryGroup, "retryDelay" );
    retryDelay->setMaxValue( 9999 );
    retryDelay->setValue( 60 );

    retryGroupLayout->addWidget( retryDelay, 0, 3 );
    keepaliveLayout->addWidget( retryGroup );

    doKeepalive = new QCheckBox( keepalive, "doKeepalive" );
    keepaliveLayout->addWidget( doKeepalive );

    keepaliveGroup = new QGroupBox( keepalive, "keepaliveGroup" );
    keepaliveGroup->setColumnLayout(0, Qt::Vertical );
    keepaliveGroup->layout()->setSpacing( 6 );
    keepaliveGroup->layout()->setMargin( 11 );
    keepaliveGroupLayout = new QVBoxLayout( keepaliveGroup->layout() );
    keepaliveGroupLayout->setAlignment( Qt::AlignTop );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1_3 = new QLabel( keepaliveGroup, "textLabel1_3" );
    layout4->addWidget( textLabel1_3 );
    spacer6 = new QSpacerItem( 141, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer6 );

    keepaliveTimeout = new QSpinBox( keepaliveGroup, "keepaliveTimeout" );
    keepaliveTimeout->setMaxValue( 600 );
    keepaliveTimeout->setMinValue( 30 );
    layout4->addWidget( keepaliveTimeout );
    keepaliveGroupLayout->addLayout( layout4 );
    keepaliveLayout->addWidget( keepaliveGroup );
    spacer7_2 = new QSpacerItem( 31, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    keepaliveLayout->addItem( spacer7_2 );
    tabList->insertTab( keepalive, QString::fromLatin1("") );
    BookmarkPropertiesLayout->addWidget( tabList );
    languageChange();
    resize( QSize(458, 475).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( tabList, serverName );
    setTabOrder( serverName, serverAddress );
    setTabOrder( serverAddress, serverPort );
    setTabOrder( serverPort, serverProtocol );
    setTabOrder( serverProtocol, protoAdvanced );
    setTabOrder( protoAdvanced, anonLogin );
    setTabOrder( anonLogin, downUser );
    setTabOrder( downUser, downPass );
    setTabOrder( downPass, defLocalDir );
    setTabOrder( defLocalDir, defRemoteDir );
    setTabOrder( defRemoteDir, description );
    setTabOrder( description, disableEPSV );
    setTabOrder( disableEPSV, disablePASV );
    setTabOrder( disablePASV, pasvSiteIp );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BookmarkProperties::~BookmarkProperties()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BookmarkProperties::languageChange()
{
    setCaption( tr2i18n( "ftpSiteProperties" ) );
    textLabel2->setText( tr2i18n( "Hostname:" ) );
    textLabel4_2->setText( tr2i18n( "Protocol:" ) );
    serverProtocol->clear();
    serverProtocol->insertItem( tr2i18n( "FTP" ) );
    serverProtocol->insertItem( tr2i18n( "FTP over TLS/SSL (explicit)" ) );
    serverProtocol->insertItem( tr2i18n( "FTP over TLS/SSL (implicit)" ) );
    serverProtocol->insertItem( tr2i18n( "SFTP over SSH2" ) );
    protoAdvanced->setText( QString::null );
    textLabel5->setText( tr2i18n( "Password:" ) );
    textLabel4->setText( tr2i18n( "Username:" ) );
    textLabel2_2->setText( tr2i18n( "Port:" ) );
    textLabel1->setText( tr2i18n( "Site label:" ) );
    textLabel7->setText( tr2i18n( "Remote directory:" ) );
    textLabel6->setText( tr2i18n( "Local directory:" ) );
    anonLogin->setText( tr2i18n( "&Anonymous login" ) );
    groupBox5_2->setTitle( tr2i18n( "Description" ) );
    tabList->changeTab( general, tr2i18n( "&General" ) );
    disableEPSV->setText( tr2i18n( "Disa&ble use of extended passive mode" ) );
    disablePASV->setText( tr2i18n( "Disable use of passive mode" ) );
    pasvSiteIp->setText( tr2i18n( "Use site IP for passive mode connections" ) );
    disableForceIp->setText( tr2i18n( "Disable \"force active mode to use this IP\" for this site" ) );
    statListings->setText( tr2i18n( "Use STAT for directory listings" ) );
    statListings->setAccel( QKeySequence( QString::null ) );
    groupBox4->setTitle( tr2i18n( "Multiple Transfer Threads" ) );
    threadsDisable->setText( tr2i18n( "Do not use multiple threads for this site" ) );
    groupBox8->setTitle( tr2i18n( "Server Encoding" ) );
    textLabel1_2->setText( tr2i18n( "Encoding:" ) );
    tabList->changeTab( advanced, tr2i18n( "&Advanced" ) );
    doRetry->setText( tr2i18n( "Retr&y to connect on failure" ) );
    retryGroup->setTitle( tr2i18n( "Retry" ) );
    textLabel12->setText( tr2i18n( "Number of retries (0 = infinite):" ) );
    textLabel11->setText( tr2i18n( "Retry delay:" ) );
    doKeepalive->setText( tr2i18n( "Use keepalive packets to keep the connection open" ) );
    keepaliveGroup->setTitle( tr2i18n( "Keepalive" ) );
    textLabel1_3->setText( tr2i18n( "Keepalive frequency (seconds):" ) );
    tabList->changeTab( keepalive, tr2i18n( "Retry && &Keepalive" ) );
}

#include "bookmark_properties.moc"
