#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './config_display.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "config_display.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DisplaySettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DisplaySettings::DisplaySettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DisplaySettings" );
    DisplaySettingsLayout = new QGridLayout( this, 1, 1, 0, 0, "DisplaySettingsLayout"); 

    tabWidget6 = new QTabWidget( this, "tabWidget6" );

    tab = new QWidget( tabWidget6, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    groupBox32 = new QGroupBox( tab, "groupBox32" );
    groupBox32->setColumnLayout(0, Qt::Vertical );
    groupBox32->layout()->setSpacing( 6 );
    groupBox32->layout()->setMargin( 11 );
    groupBox32Layout = new QVBoxLayout( groupBox32->layout() );
    groupBox32Layout->setAlignment( Qt::AlignTop );

    kcfg_showHiddenFiles = new QCheckBox( groupBox32, "kcfg_showHiddenFiles" );
    groupBox32Layout->addWidget( kcfg_showHiddenFiles );

    kcfg_showTree = new QCheckBox( groupBox32, "kcfg_showTree" );
    groupBox32Layout->addWidget( kcfg_showTree );

    kcfg_showSizeInBytes = new QCheckBox( groupBox32, "kcfg_showSizeInBytes" );
    groupBox32Layout->addWidget( kcfg_showSizeInBytes );

    kcfg_showOwnerGroup = new QCheckBox( groupBox32, "kcfg_showOwnerGroup" );
    groupBox32Layout->addWidget( kcfg_showOwnerGroup );

    kcfg_showDirectorySize = new QCheckBox( groupBox32, "kcfg_showDirectorySize" );
    groupBox32Layout->addWidget( kcfg_showDirectorySize );
    tabLayout->addWidget( groupBox32 );

    groupBox2 = new QGroupBox( tab, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    kcfg_showLeftSidebar = new QCheckBox( groupBox2, "kcfg_showLeftSidebar" );
    groupBox2Layout->addWidget( kcfg_showLeftSidebar );
    tabLayout->addWidget( groupBox2 );
    spacer20 = new QSpacerItem( 21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer20 );
    tabWidget6->insertTab( tab, QString::fromLatin1("") );

    DisplaySettingsLayout->addWidget( tabWidget6, 0, 0 );
    languageChange();
    resize( QSize(537, 424).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DisplaySettings::~DisplaySettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DisplaySettings::languageChange()
{
    groupBox32->setTitle( tr2i18n( "File &Browser" ) );
    kcfg_showHiddenFiles->setText( tr2i18n( "Show &hidden files and directories" ) );
    kcfg_showTree->setText( tr2i18n( "Show &directory tree" ) );
    kcfg_showSizeInBytes->setText( tr2i18n( "Show filesi&ze in bytes (toggle for \"human readable\" format)" ) );
    kcfg_showOwnerGroup->setText( tr2i18n( "Show &owner and group for each file" ) );
    kcfg_showDirectorySize->setText( tr2i18n( "Show directory &size" ) );
    groupBox2->setTitle( tr2i18n( "&Other Interface Elements" ) );
    kcfg_showLeftSidebar->setText( tr2i18n( "Show left sidebar" ) );
    tabWidget6->changeTab( tab, tr2i18n( "Displa&y" ) );
}

#include "config_display.moc"
