#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kftpbookmarkimportlayout.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kftpbookmarkimportlayout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <kurlrequester.h>
#include <kprogress.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "kpushbutton.h"
#include "kprogress.h"

/*
 *  Constructs a KFTPBookmarkImportLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
KFTPBookmarkImportLayout::KFTPBookmarkImportLayout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : KWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "KFTPBookmarkImportLayout" );

    Step1 = new QWidget( this, "Step1" );
    Step1Layout = new QGridLayout( Step1, 1, 1, 11, 6, "Step1Layout"); 

    m_wizardPixmap = new QLabel( Step1, "m_wizardPixmap" );
    m_wizardPixmap->setMinimumSize( QSize( 170, 430 ) );

    Step1Layout->addWidget( m_wizardPixmap, 0, 0 );

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1 = new QLabel( Step1, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout6->addWidget( textLabel1 );
    spacer2 = new QSpacerItem( 21, 16, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout6->addItem( spacer2 );

    textLabel2 = new QLabel( Step1, "textLabel2" );
    layout6->addWidget( textLabel2 );

    m_pluginList = new KListView( Step1, "m_pluginList" );
    m_pluginList->addColumn( tr2i18n( "Name" ) );
    m_pluginList->addColumn( tr2i18n( "Description" ) );
    layout6->addWidget( m_pluginList );

    Step1Layout->addLayout( layout6, 0, 1 );
    addPage( Step1, QString("") );

    Step2 = new QWidget( this, "Step2" );
    Step2Layout = new QGridLayout( Step2, 1, 1, 11, 6, "Step2Layout"); 

    m_wizardPixmap_2 = new QLabel( Step2, "m_wizardPixmap_2" );
    m_wizardPixmap_2->setMinimumSize( QSize( 170, 430 ) );

    Step2Layout->addWidget( m_wizardPixmap_2, 0, 0 );

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    textLabel3 = new QLabel( Step2, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout8->addWidget( textLabel3 );

    textLabel4 = new QLabel( Step2, "textLabel4" );
    layout8->addWidget( textLabel4 );

    m_importUrl = new KURLRequester( Step2, "m_importUrl" );
    layout8->addWidget( m_importUrl );
    spacer1 = new QSpacerItem( 31, 80, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout8->addItem( spacer1 );

    Step2Layout->addLayout( layout8, 0, 1 );
    addPage( Step2, QString("") );

    Step3 = new QWidget( this, "Step3" );
    Step3Layout = new QGridLayout( Step3, 1, 1, 11, 6, "Step3Layout"); 

    m_wizardPixmap_3 = new QLabel( Step3, "m_wizardPixmap_3" );
    m_wizardPixmap_3->setMinimumSize( QSize( 170, 430 ) );

    Step3Layout->addWidget( m_wizardPixmap_3, 0, 0 );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    textLabel1_2 = new QLabel( Step3, "textLabel1_2" );
    layout9->addWidget( textLabel1_2 );

    textLabel2_2 = new QLabel( Step3, "textLabel2_2" );
    layout9->addWidget( textLabel2_2 );

    m_progressBar = new KProgress( Step3, "m_progressBar" );
    layout9->addWidget( m_progressBar );
    spacer12 = new QSpacerItem( 31, 241, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout9->addItem( spacer12 );

    Step3Layout->addLayout( layout9, 0, 1 );
    addPage( Step3, QString("") );
    languageChange();
    resize( QSize(629, 533).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KFTPBookmarkImportLayout::~KFTPBookmarkImportLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KFTPBookmarkImportLayout::languageChange()
{
    setCaption( tr2i18n( "Bookmark Import Wizard" ) );
    m_wizardPixmap->setText( tr2i18n( "Image" ) );
    textLabel1->setText( tr2i18n( "Please select the appropriate import plugin from the list below. Each plugin can import from one different format." ) );
    textLabel2->setText( tr2i18n( "Available import plugins:" ) );
    m_pluginList->header()->setLabel( 0, tr2i18n( "Name" ) );
    m_pluginList->header()->setLabel( 1, tr2i18n( "Description" ) );
    setTitle( Step1, tr2i18n( "Step 1: <b>Select Import Plugin</b>" ) );
    m_wizardPixmap_2->setText( tr2i18n( "Image" ) );
    textLabel3->setText( tr2i18n( "Please select the bookmark file from which you would like to import your bookmarks. A default path has already been determined by the import plugin." ) );
    textLabel4->setText( tr2i18n( "<b>Bookmark path:</b>" ) );
    setTitle( Step2, tr2i18n( "Step 2: <b>Select Bookmark File to Import</b>" ) );
    m_wizardPixmap_3->setText( tr2i18n( "Image" ) );
    textLabel1_2->setText( tr2i18n( "Please wait while the bookmarks are being imported." ) );
    textLabel2_2->setText( tr2i18n( "<b>Import progress:</b>" ) );
    setTitle( Step3, tr2i18n( "Step 3: <b>Importing Bookmarks...</b>" ) );
}

#include "kftpbookmarkimportlayout.moc"
