#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kftpsearchlayout.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kftpsearchlayout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <klineedit.h>
#include <kpassdlg.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpassdlg.h"
#include "widgets/kftpserverlineedit.h"

/*
 *  Constructs a KFTPSearchLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KFTPSearchLayout::KFTPSearchLayout( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KFTPSearchLayout" );
    setMinimumSize( QSize( 500, 400 ) );
    KFTPSearchLayoutLayout = new QVBoxLayout( this, 0, 6, "KFTPSearchLayoutLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    KFTPSearchLayoutLayout->addWidget( textLabel1 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    textLabel3 = new QLabel( groupBox3, "textLabel3" );

    groupBox3Layout->addWidget( textLabel3, 1, 0 );

    textLabel2 = new QLabel( groupBox3, "textLabel2" );

    groupBox3Layout->addWidget( textLabel2, 0, 0 );

    searchServer = new QCheckBox( groupBox3, "searchServer" );

    groupBox3Layout->addMultiCellWidget( searchServer, 2, 2, 0, 1 );

    groupBox1 = new QGroupBox( groupBox3, "groupBox1" );
    groupBox1->setEnabled( FALSE );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    textLabel4_2 = new QLabel( groupBox1, "textLabel4_2" );

    groupBox1Layout->addWidget( textLabel4_2, 0, 0 );

    textLabel5 = new QLabel( groupBox1, "textLabel5" );

    groupBox1Layout->addWidget( textLabel5, 1, 0 );

    textLabel7 = new QLabel( groupBox1, "textLabel7" );

    groupBox1Layout->addWidget( textLabel7, 3, 0 );

    textLabel6 = new QLabel( groupBox1, "textLabel6" );

    groupBox1Layout->addWidget( textLabel6, 2, 0 );

    searchServerName = new KFTPServerLineEdit( groupBox1, "searchServerName" );

    groupBox1Layout->addMultiCellWidget( searchServerName, 0, 0, 1, 3 );

    searchServerHost = new KLineEdit( groupBox1, "searchServerHost" );

    groupBox1Layout->addWidget( searchServerHost, 1, 1 );

    searchServerUser = new KLineEdit( groupBox1, "searchServerUser" );

    groupBox1Layout->addMultiCellWidget( searchServerUser, 2, 2, 1, 3 );

    searchServerPass = new KPasswordEdit( groupBox1, "searchServerPass" );

    groupBox1Layout->addMultiCellWidget( searchServerPass, 3, 3, 1, 3 );

    textLabel8 = new QLabel( groupBox1, "textLabel8" );

    groupBox1Layout->addWidget( textLabel8, 1, 2 );

    searchServerPort = new QSpinBox( groupBox1, "searchServerPort" );
    searchServerPort->setMaxValue( 65535 );
    searchServerPort->setMinValue( 1 );
    searchServerPort->setValue( 21 );

    groupBox1Layout->addWidget( searchServerPort, 1, 3 );

    groupBox3Layout->addMultiCellWidget( groupBox1, 3, 3, 0, 1 );

    searchSrcPath = new KLineEdit( groupBox3, "searchSrcPath" );

    groupBox3Layout->addWidget( searchSrcPath, 0, 1 );

    searchDstPath = new KLineEdit( groupBox3, "searchDstPath" );

    groupBox3Layout->addWidget( searchDstPath, 1, 1 );
    KFTPSearchLayoutLayout->addWidget( groupBox3 );

    groupBox3_2 = new QGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 11 );
    groupBox3_2Layout = new QGridLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( Qt::AlignTop );

    textLabel3_2 = new QLabel( groupBox3_2, "textLabel3_2" );

    groupBox3_2Layout->addWidget( textLabel3_2, 1, 0 );

    textLabel2_2 = new QLabel( groupBox3_2, "textLabel2_2" );

    groupBox3_2Layout->addWidget( textLabel2_2, 0, 0 );

    replaceSrcPath = new KLineEdit( groupBox3_2, "replaceSrcPath" );

    groupBox3_2Layout->addWidget( replaceSrcPath, 0, 1 );

    replaceDstPath = new KLineEdit( groupBox3_2, "replaceDstPath" );

    groupBox3_2Layout->addWidget( replaceDstPath, 1, 1 );
    KFTPSearchLayoutLayout->addWidget( groupBox3_2 );
    languageChange();
    resize( QSize(550, 409).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KFTPSearchLayout::~KFTPSearchLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KFTPSearchLayout::languageChange()
{
    setCaption( tr2i18n( "Queue Search & Replace" ) );
    textLabel1->setText( tr2i18n( "Using this dialog, you can do massive replacing of source/destination paths of the queued transfers. <b>Changes cannot be undone.</b>" ) );
    groupBox3->setTitle( tr2i18n( "Search What" ) );
    textLabel3->setText( tr2i18n( "Destination:" ) );
    textLabel2->setText( tr2i18n( "Source:" ) );
    searchServer->setText( tr2i18n( "Search only for transfers on specific server" ) );
    groupBox1->setTitle( tr2i18n( "Server Info" ) );
    textLabel4_2->setText( tr2i18n( "Server name:" ) );
    textLabel5->setText( tr2i18n( "Host:" ) );
    textLabel7->setText( tr2i18n( "Password:" ) );
    textLabel6->setText( tr2i18n( "Username:" ) );
    textLabel8->setText( tr2i18n( "Port:" ) );
    groupBox3_2->setTitle( tr2i18n( "Replace With" ) );
    textLabel3_2->setText( tr2i18n( "Destination:" ) );
    textLabel2_2->setText( tr2i18n( "Source:" ) );
}

#include "kftpsearchlayout.moc"
